﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v1.8.7/chezmoi_1.8.7_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v1.8.7/chezmoi_1.8.7_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = '0040f020a6cb25ef9fcf86b1173d2163ca6cd4cc84811055e5b3878f76e340e8'
    checksumType   = 'sha256'
    checksum64     = 'a9f88a5a9b5d26c97b2217019c5cb35bdbd265e54be484759fdee594440752af'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
